Skip to main content
POST
/
cursor
/
model
/
{modelId}
/
converse
Error
A valid request URL is required to generate request examples
{
  "output": {
    "message": {
      "content": [
        {
          "text": "<string>",
          "image": {
            "source": {
              "bytes": "aSDinaTvuI8gbWludGxpZnk="
            }
          },
          "document": {
            "name": "<string>",
            "source": {
              "bytes": "aSDinaTvuI8gbWludGxpZnk=",
              "text": "<string>"
            }
          },
          "toolUse": {
            "toolUseId": "<string>",
            "name": "<string>",
            "input": {}
          },
          "toolResult": {
            "toolUseId": "<string>",
            "content": "<array>"
          },
          "guardContent": {
            "text": {
              "text": "<string>",
              "qualifiers": [
                "<string>"
              ]
            }
          },
          "reasoningContent": {
            "reasoningText": {
              "text": "<string>",
              "signature": "<string>"
            }
          },
          "json": {},
          "cachePoint": {}
        }
      ]
    }
  },
  "usage": {
    "inputTokens": 123,
    "outputTokens": 123,
    "totalTokens": 123,
    "cacheReadInputTokens": 123,
    "cacheWriteInputTokens": 123
  },
  "metrics": {
    "latencyMs": 123
  },
  "additionalModelResponseFields": {},
  "trace": {},
  "performanceConfig": {},
  "serviceTier": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

modelId
string
required

Body

application/json
messages
object[]

Array of messages for the conversation

system
object[]

System messages/prompts

inferenceConfig
object
toolConfig
object
guardrailConfig
object
additionalModelRequestFields
object

Model-specific parameters

additionalModelResponseFieldPaths
string[]
performanceConfig
object
promptVariables
object
requestMetadata
object
serviceTier
object
fallbacks
string[]

Response

200 - application/json

Successful response

output
object
stopReason
enum<string>
Available options:
end_turn,
tool_use,
max_tokens,
stop_sequence,
guardrail_intervened,
content_filtered
usage
object
metrics
object
additionalModelResponseFields
object
trace
object
performanceConfig
object
serviceTier
object